summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-qt/qtdeclarative')
-rw-r--r--dev-qt/qtdeclarative/Manifest1
-rw-r--r--dev-qt/qtdeclarative/qtdeclarative-5.12.3.ebuild55
2 files changed, 0 insertions, 56 deletions
diff --git a/dev-qt/qtdeclarative/Manifest b/dev-qt/qtdeclarative/Manifest
index c83aad261e5..bd0d1f0a12a 100644
--- a/dev-qt/qtdeclarative/Manifest
+++ b/dev-qt/qtdeclarative/Manifest
@@ -1,3 +1,2 @@
-DIST qtdeclarative-everywhere-src-5.12.3.tar.xz 20513544 BLAKE2B b6c622cb4728d54d0cf382a5a50af4652755ebd1f8e7ebc8bf07a5f3e3355931703ffa443be11dcf36a132b2f3eacb5fce150088209d173f2ca84bc387096026 SHA512 0caddcfee36cbf52bacd3a400d304511255715e2b5a58c1621ca8120610427c57511785457a9e7fa55975b86e7924a3cffddeb7e2e8e6622af85b7ebac35dd20
DIST qtdeclarative-everywhere-src-5.13.2.tar.xz 20940748 BLAKE2B acc688691a86318478a3f016821bf6e84ba3a552e4f8613414a51ecde8e588783ed80e53eed31bbc321945950754991d20a29290e9cf3b878c5415d1049be3cc SHA512 a3fcc65eccdd598c03991978db6462293781abc80affd9a489253d4a812073832554892d503fa0de32a9ef97ddc74b9ad71e2bd7cfa2f21ce1fc64d1358ab730
DIST qtdeclarative-everywhere-src-5.14.1.tar.xz 21299728 BLAKE2B dfa0dfc95956f9c9eeb6b790e0221cf745b0cefd89fc070caa741b9cdc644acd990128affbcef6ac585758a02f94b1693ccca77d9de080f04f4d1b6d2304537f SHA512 70094d24a977a5ae4a3a11ee31e49234592faca1ec8195560977e7834778d1b1fdc2a30e555dc6c43c98cef2a39d5c1bf6351093c0f46b9b22b4127f3bebef58
diff --git a/dev-qt/qtdeclarative/qtdeclarative-5.12.3.ebuild b/dev-qt/qtdeclarative/qtdeclarative-5.12.3.ebuild
deleted file mode 100644
index a7368d05b92..00000000000
--- a/dev-qt/qtdeclarative/qtdeclarative-5.12.3.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_{6,7} )
-inherit python-any-r1 qt5-build
-
-DESCRIPTION="The QML and Quick modules for the Qt5 framework"
-
-if [[ ${QT5_BUILD_TYPE} == release ]]; then
- KEYWORDS="x86"
-fi
-
-IUSE="gles2 +jit localstorage +widgets"
-
-# qtgui[gles2=] is needed because of bug 504322
-COMMON_DEPEND="
- ~dev-qt/qtcore-${PV}
- ~dev-qt/qtgui-${PV}[gles2=]
- ~dev-qt/qtnetwork-${PV}
- ~dev-qt/qttest-${PV}
- localstorage? ( ~dev-qt/qtsql-${PV} )
- widgets? ( ~dev-qt/qtwidgets-${PV}[gles2=] )
-"
-DEPEND="${COMMON_DEPEND}
- ${PYTHON_DEPS}
-"
-RDEPEND="${COMMON_DEPEND}
- !<dev-qt/qtquickcontrols-5.7:5
-"
-
-src_prepare() {
- use jit || PATCHES+=("${FILESDIR}/${PN}-5.4.2-disable-jit.patch")
-
- qt_use_disable_mod localstorage sql \
- src/imports/imports.pro
-
- qt_use_disable_mod widgets widgets \
- src/src.pro \
- src/qmltest/qmltest.pro \
- tests/auto/auto.pro \
- tools/tools.pro \
- tools/qmlscene/qmlscene.pro \
- tools/qml/qml.pro
-
- qt5-build_src_prepare
-}
-
-src_configure() {
- local myqmakeargs=(
- --
- -qml-debug
- )
- qt5-build_src_configure
-}